VMTKSURFACENORMALS(1)

NAME
vmtksurfacenormals - vmtk script vmtksurfacenormals

DESCRIPTION
Automatic piping vmtksurfacenormals Parsing options vmtksurfacenormals

vmtksurfacenormals : compute normals to a surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-normalsarray NormalsArrayName (str,1); default=Normals: name of

    the array where normals have to be stored

-autoorientnormals AutoOrientNormals (bool,1); default=1: try to

    auto orient normals outwards

-consistency Consistency (bool,1); default=1: try to orient normals

    so that neighboring points have similar orientations

-cellnormals ComputeCellNormals (bool,1); default=0: compute cell

    normals instead of point normals

-flipnormals FlipNormals (bool,1); default=0: flip normals after

    computing them

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface